Class | Chef::Knife::Core::BootstrapContext
In: | lib/chef/knife/core/bootstrap_context.rb
Parent: | Object

Instances of BootstrapContext are the context objects (i.e., `self`) for bootstrap templates. For backwards compatability, they `must` set the following instance variables:

- @config - a hash of knife‘s config values
- @run_list - the run list for the node to boostrap

### Methods

bootstrap_environment bootstrap_version_string chef_version config_content encrypted_data_bag_secret knife_config new start_chef validation_key

### Public Class methods

new(config, run_list, chef_config)

### Public Instance methods

bootstrap_environment()
bootstrap_version_string()
chef_version()
config_content()
encrypted_data_bag_secret()
knife_config()
start_chef()
validation_key()

[Validate]